# Operations

Aevo Websocket API Operations can be categorized into 2, `PUBLISH` and `SUBSCRIBE`.

```
  <th style={{ textAlign: "left" }}>
    Name
  </th>

  <th style={{ textAlign: "left" }}>
    Description
  </th>
</tr>
```

```
  <td style={{ textAlign: "left" }}>
    **PUBLISH**
  </td>

  <td style={{ textAlign: "left" }}>
    One time call to a specific `op` code. This similar to calling a HTTP request such as a `GET` or a `POST` request.
  </td>
</tr>

<tr>
  <td style={{ textAlign: "left" }}>
    <div class="ws-method-div"><span class="APIMethod APIMethod_fixedWidth ws-sub-tag">SUB</span></div>
  </td>

  <td style={{ textAlign: "left" }}>
    **SUBSCRIBE**
  </td>

  <td style={{ textAlign: "left" }}>
    Subscription to a channel. After subscribing successfully, the client will receive updates periodically from the server.
  </td>
</tr>
```

| Symbol |
| ------ |
| PUB    |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/websocket-api/operations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
